Yandex Cloud
КейсыДокументация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex IoT Core
  • Закрытие сервиса
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • GetByName
        • List
        • Create
        • Update
        • Delete
        • ListCertificates
        • AddCertificate
        • DeleteCertificate
        • ListPasswords
        • AddPassword
        • DeletePassword
        • ListDeviceTopicAliases
        • ListOperations
        • Disable
        • Enable
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • RegistryCertificate
  1. Справочник API Devices
  2. REST (англ.)
  3. Registry
  4. ListCertificates

IoT Core Service, REST: Registry.ListCertificates

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response
  • RegistryCertificate

Retrieves the list of registry certificates for the specified registry.

HTTP requestHTTP request

GET https://iot-devices.api.cloud.yandex.net/iot-devices/v1/registries/{registryId}/certificates

Path parametersPath parameters

Field

Description

registryId

string

Required field. ID of the registry to list certificates for.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "certificates": [
    {
      "registryId": "string",
      "fingerprint": "string",
      "certificateData": "string",
      "createdAt": "string"
    }
  ]
}

Field

Description

certificates[]

RegistryCertificate

List of certificates for the specified registry.

RegistryCertificateRegistryCertificate

A registry certificate. For more information, see Managing registry certificates.

Field

Description

registryId

string

ID of the registry that the certificate belongs to.

fingerprint

string

SHA256 hash of the certificates.

certificateData

string

Public part of the certificate.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Была ли статья полезна?

Предыдущая
Delete
Следующая
AddCertificate
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»